Upsert the user's OOO form defaults
curl --request PATCH \
--url https://api.example.com/v2/users/{user_id}/ooo/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_backup_user_id": "<string>"
}
'import requests
url = "https://api.example.com/v2/users/{user_id}/ooo/preferences"
payload = { "default_backup_user_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({default_backup_user_id: '<string>'})
};
fetch('https://api.example.com/v2/users/{user_id}/ooo/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_backup_user_id": "<string>"
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}users
Upsert the user's OOO form defaults
Pass null to clear a field. Self-service or admin-in-same-org only.
PATCH
/
v2
/
users
/
{user_id}
/
ooo
/
preferences
Upsert the user's OOO form defaults
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Prefilled into the OOO form's backup picker on open.
Response
Successful Response
Prefilled into the OOO form's backup picker on open.
Return the user's saved OOO form defaults. Fields default to nullList eligible backup users for an OOO
⌘I
